WordPress.org

Ready to get started?Download WordPress

Forums

Anybody working on updating the syntaxhighlighter? (8 posts)

  1. moshu
    Member
    Posted 6 years ago #

    Just hoping that the devs of this plugin (matt, Viper007Bond, mdawaffe) will update it soon to make it compatible with WP 2.5.
    Or, maybe someone else can give it a try?

    If you publish code with this plugin (as in tutorials) it is impossible to upgrade WP because the plugin is completely broken in 2.5.

    Any temporary fix or alternatives?

    http://wordpress.org/extend/plugins/syntaxhighlighter/

  2. It's 2.5 compatible. I'm using it on my blog.

    Although I'm currently writing a plugin to replace this entire one using a different highlighter package.

  3. Milan Petrovic
    Member
    Posted 6 years ago #

    Well, I have tried it with 2.5, 2.5.1 and current SVN dev version and it doesn't work with any of highlight tags (sourcecode or code).

    As a temporary solution I am using 'WP-Syntax' but I am not entirly satisifed with functionality, because I have to edit post in HTML editor mode, because plugin works with PRE tag and <?php and ?> are big problem for this one.

  4. iamww
    Member
    Posted 6 years ago #

    It doesn't seem to work on my site either.

  5. iamww
    Member
    Posted 6 years ago #

    I determine the issue on my site. This version of Syntax Highlighter does not play well with TextileWrapper. Once deactivated this plugin worked fine. I assume because of the syntax this version uses.

  6. Try this: http://wordpress.org/extend/plugins/chili-code-highlighter/

    It's backend code is loads better and all that, but the display lacks the alternating line colors, the top bar, etc. However, it's valid XHTML, easier to use with TinyMCE, and is a lot faster. Up to you which to use. :)

  7. iamww
    Member
    Posted 6 years ago #

    Thanks Viper007Bond. However, Chili Code Highlighter doesn't seem to working correctly either.

    For some reason the plugin keeps converting the opening code tags to [code="php"""] rather than [code="php"].

    I have disabled TextileWrapper (no longer needed) and Syntax Highlighter is working fine for now. Let me know if there is anything I do to help you test the new plugin.

  8. Anonymous
    Unregistered
    Posted 6 years ago #

    Hi,

    Please check the xhtml mod for syntaxhighlighter (javascript package), it now supports xhtml, the plugins can be adapted to it to solve xhtml problems.

    The mod can be found at:
    http://blog.onursafak.com/2008/07/syntaxhighlighter-mod-to-xhtml-css-and.html

Topic Closed

This topic has been closed to new replies.

About this Topic